<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.GenerateDetailMapper">
    <select id="getLibraryIdThroughMD5" resultType="java.util.Map">
        select a.library_id
        from t_generate_detail a
        left join t_generate b
        on a.generate_id = b.id
        where a.md5 = #{md5}
          and a.is_like = 1
          and b.level1_type = #{level1Type}
    </select>
</mapper>